/* Estilos Generales */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

/* Estilos específicos para el #top-header */
#top-header {
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: rgb(177, 3, 3);
}

#top-header .container {
    width: 100%;
    margin: 0 auto;
    padding: 0 15px;
}

#top-header .header-links li {
    display: inline-block;
    margin-right: 15px;
    font-size: 12px;
}

#top-header .header-links li:last-child {
    margin-right: 0px;
}

#top-header .header-links li a {
    color: #FFF;
}

#top-header .header-links li a:hover {
    color: rgb(177, 3, 3);
}

header {
    background-color: #333;
    color: #fff;
    padding: 0px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo img {
    height: 100px; /* Ajusta la altura según tu logo */
}

nav {
    /* position: fixed; */
    /* top: 0; */
    width: 100%;
    background-color: #333;
    z-index: 1000; /* Asegura que el nav esté por encima de otros elementos */
    box-shadow: 0 4px 2px -2px rgb(131, 131, 131);
}

.fixed {
    position: fixed;
    top: 0;
    z-index: 1000; /* Asegura que el nav esté por encima de otros elementos */
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center; /* Centra los elementos del menú */
}

nav ul li {
    display: inline;
    margin-right: 20px;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
    padding: 14px 20px;
    display: block;
}

nav ul li a:hover {
    background-color: #555;
}

main {
    padding: 20px;
    padding-top: 60px; /* Espacio superior para evitar que el contenido quede debajo del nav */
}

.productos {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 20px;
}

.producto {
    border: 1px solid #ccc;
    padding: 10px;
    text-align: center;
    position: relative;
}

.product-label {
    position: absolute;
    top: 0;
    right: 0;
    background-color: red; /* Fondo rojo */
    color: white; /* Letras blancas */
    padding: 5px 10px; /* Espaciado interno */
    font-size: 12px;
    /* Otros estilos de la etiqueta del producto */
}

.producto img {
    max-width: 100%;
    height: auto;
}

.ver-button {
    display: block;
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 10px 20px;
    text-decoration: none;
    position: absolute;
    bottom: 0px; /* Ajusta la distancia desde la parte inferior */
    left: 50%; /* Centra horizontalmente el botón */
    transform: translateX(-50%); /* Centra horizontalmente el botón */
    /* Otros estilos para el botón "Ver" */
}

.ver-button:hover {
    background-color: #555;
    /* Otros estilos para el botón "Ver" al pasar el ratón */
}

footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 20px;
}

.columna {
    width: 30%; /* Ancho por defecto para pantallas grandes */
    display: inline-block;
    vertical-align: top;
    text-align: left;
    margin-bottom: 20px; /* Agregamos un margen inferior para separar las columnas */
}

ul {
    list-style: none;
    padding: 0;
}

.derechos {
    clear: both; /* Asegura que este div esté debajo de las dos primeras columnas */
}

/* Media query para pantallas pequeñas (como celulares) */
@media screen and (max-width: 600px) {
    .columna {
        width: 100%; /* Ancho completo en dispositivos móviles */
    }

    header {
        flex-direction: column;
        align-items: flex-start;
    }

    .logo {
        margin-bottom: 10px;
    }

    nav ul li {
        display: block;
        margin: 10px 0;
    }
}

.newsletter-follow {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.newsletter-follow li {
    display: inline-block;
    margin-right: 10px;
}

.newsletter-follow li a {
    display: block;
    width: 40px;
    height: 40px;
    border: 2px solid #ffffff;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    color: #07fc1b;
    text-decoration: none;
    transition: all 0.3s ease;
}

.newsletter-follow li a:hover {
    background-color: #52ff02;
    color: #fff;
}

.btnFijo {
    position: fixed;
    right: 26px;
    bottom: 100px;
    width: 60px;
    z-index: 1000;
}

.btnFijo img {
    width: 100%;
    height: auto;
}
